import { PageProps } from "$fresh/server.ts";

import { Head } from "$fresh/runtime.ts";
export default function App({ Component }: PageProps) {
  const css = Deno.readTextFileSync("./static/global.css").replace("\n", "");
  return (
    <>
      <Head>
        <link href="/prism-material-dark.css" rel="stylesheet" />
        <link
          rel="apple-touch-icon"
          sizes="180x180"
          href="/apple-touch-icon.png"
        />
        <link
          rel="icon"
          type="image/png"
          sizes="32x32"
          href="/favicon-32x32.png"
        />
        <link
          rel="icon"
          type="image/png"
          sizes="16x16"
          href="/favicon-16x16.png"
        />
        <link rel="manifest" href="/site.webmanifest" />
        <link rel="mask-icon" href="/safari-pinned-tab.svg" color="#5bbad5" />
        <link rel="stylesheet" href="/styles.css" />
        <meta name="msapplication-TileColor" content="#da532c" />
        <meta name="theme-color" content="#141218" />
        <script src="/thumbnails.js" type="module"></script>
        <style>{css}</style>
      </Head>
      <Component />
    </>
  );
}
